Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Makro: Durchmesserbemaßung und Radius umschalten?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Makro: Durchmesserbemaßung und Radius umschalten? (1240 mal gelesen)
API-Fabi
Mitglied
Technischer Produktdesigner


Sehen Sie sich das Profil von API-Fabi an!   Senden Sie eine Private Message an API-Fabi  Schreiben Sie einen Gästebucheintrag für API-Fabi

Beiträge: 53
Registriert: 23.11.2015

SolidWorks 2017

erstellt am: 23. Nov. 2015 11:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebe SolidWorks User,
ich habe ein Makro geschrieben, dass ein Rotationsmodell erstellt.
Leider weiß ich nicht, wie man die Bemaßung auf Durchmesser umstellt.
Wenn ich manuell die Skizze für ein Rotationsmodell erstelle klicke ich ja eine Linie oder einen Punkt und die Mittellinie an und fahre mit meiner Maus über die Mittellinie. So wird mein Maß von Radius auf Durchmessser umgestellt.

Wie funktioniert das mit VBA? 
Kann ich das über die Systemoptionen regeln oder irgendwie nachträglich umschalten?


.....

Geht nicht, gibt's nicht...!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8756
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 23. Nov. 2015 11:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für API-Fabi 10 Unities + Antwort hilfreich

Hallo API-Fabi,

ich würde es schon bei der Erstellung versuchen explizit als Durchmesser- oder Radiusbemaßung zu erstellen. Ich hab es nur an einem aufgezeichnten Makro probiert, da scheinen aber die beiden APi Calls ModelDoc2::AddRadialDimension2 und ModelDoc2::AddDiameterDimension2 für zuständig zu sein. Die AddDimension2 scheint (auch) immer die Durchmesserbemaßung zu erzeugen.

Wenn du es umschalten musst könnte die DisplayDimension.Diametric helfen, dazu gibt es auch ein Beispiel in der API Hilfe namens "Change Radial to Diametric Style Example (VBA)"

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

API-Fabi
Mitglied
Technischer Produktdesigner


Sehen Sie sich das Profil von API-Fabi an!   Senden Sie eine Private Message an API-Fabi  Schreiben Sie einen Gästebucheintrag für API-Fabi

Beiträge: 53
Registriert: 23.11.2015

SolidWorks 2017

erstellt am: 23. Nov. 2015 13:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,

das funktioniert so aber leider nicht bevor ich das Modell rotiert ausgetragen habe, da SolidWorks zu dem Zeitpunkt iwie noch nicht erkennt, dass es ein Radius/Durchmesser werden soll.

Nachdem es rotiert ist, steht dann auch ein R davor und lässt sich mit ".Diametric = True" umschalten.

Vielen Dank für den Hinweis!

------------------
Geht nicht, gibt's nicht! ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2354
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 25. Nov. 2015 15:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für API-Fabi 10 Unities + Antwort hilfreich

Hallo zusammen,

selbige Problem habe ich auch, das ich die Bemassungen erst nach der rotation ändern kann.
Bei der Positionierung vorher in der Skizze kommt mir das Verhalten von SXW ziemlich willkürlich vor da SWX immer unterschiedlich reagiert und Beamßungen manchmal gleich als Durchmesser ablegt aber manchmal auch nicht, obwohl die Bemassung immer so abgelegt wird das eigentlich symmetrisch bemaßt werden müsste.

Naja egal, geht ja auch im nachhinein.

Weiß einer von euch zufällig wie das ganze mit symmetrischen Winkelbemaßungen aussieht, weil hier gibt es ja meines Wissens keinen "Umschalter"?

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz